=== debian/changelog ===
jove (4.17.4.4-1) unstable; urgency=low

  * New upstream release.
  * added fdocs-target which was removed from default upstream.

 -- Cord Beermann <cord@debian.org>  Sat, 11 Jun 2022 14:28:18 +0200

jove (4.17.4.3-1) unstable; urgency=low

  * New upstream release.
    + should now build on Hurd
  * cleaned changelog from a double entry out of order.

 -- Cord Beermann <cord@debian.org>  Fri, 10 Jun 2022 21:09:41 +0200

jove (4.17.4.1-1) unstable; urgency=low

  * New upstream release.
  * dropping pkg-config as Build Dependency
  * removed SYSDEFS-Definition from build process

 -- Cord Beermann <cord@debian.org>  Mon, 30 May 2022 16:51:56 +0200
