## jove 4.17.4.7

=== debian/changelog ===
jove (4.17.4.7-1) unstable; urgency=low

  * New upstream release.
    + switched from plain make to jmake.sh wrapper with pkgconf and 
      dropped compilerflags from debian/rules
  * includes compiler hardening
  * includes correct debugsym
  * fix FTCBFS: Do not build jove during dh_auto_install without
    cross tools (closes: 1023583)
    thanks to Helmut Grohne <helmut@subdivi.de>
  * make Lintian happy again.
    (better documentation about change of syntax would have been nice.)

 -- Cord Beermann <cord@debian.org>  Sat, 10 Dec 2022 22:15:35 +0100
