=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: editors
 Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
-Build-Depends: debhelper-compat (= 13), po-debconf, libncurses-dev, groff
+Build-Depends: debhelper-compat (= 13), po-debconf, libncurses-dev, groff, pkgconf
 Standards-Version: 4.6.1
 Homepage: https://github.com/jonmacs/jove
 Rules-Requires-Root: no
