=== debian/rules ===
--- 
+++ 
@@ -8,21 +8,24 @@
 export DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/buildtools.mk
+
 CC_FOR_BUILD ?= cc
 
 %:
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- \
-		OPTFLAGS="$(CFLAGS) $(CPPFLAGS)" \
-		LDFLAGS="$(LDFLAGS)" \
+	./jmake.sh \
 		JOVEHOME=/usr \
 		JMANDIR=/usr/share/man/man1 \
-		LOCALCC=$(CC_FOR_BUILD) fdocs
+		LOCALCC=$(CC_FOR_BUILD) fdocs all
 
 override_dh_auto_install:
-	dh_auto_install -- JOVEHOME=/usr JMANDIR=/usr/share/man/man1
+	./jmake.sh \
+		DESTDIR=debian/jove \
+		JOVEHOME=/usr \
+		JMANDIR=/usr/share/man/man1 \
+		install
 	cp debian/jem.rc debian/jem1.txt debian/jem1.hlp debian/jove/usr/share/jove
 	cp debian/jove.rc debian/jove/etc/jove/jove.rc
