## jove 4.17.4.8

=== debian/changelog ===
jove (4.17.4.8-1) unstable; urgency=low

  * New upstream release.
  * Revert back to dh_auto_build

 -- Cord Beermann <cord@debian.org>  Sat, 17 Dec 2022 11:04:50 +0100
