## jove 4.17.4.9

=== Makefile ===
--- 
+++ 
@@ -100,25 +100,38 @@
 XJOVEM = $(DMANDIR)/xjove.$(MANEXT)
 JOVETOOLM = $(DMANDIR)/jovetool.$(MANEXT)
 
+# We set CFLAGS to SYSDEFS and OPTFLAGS, so we can set
+# the definitions in SYSDEFS (needed for the local compiler
+# of keys.c, and the target compiler for the rest, in order
+# to make this work for cross-compilation)
+
 # SYSDEFS: specify system characteristics to the C preprocessor using -D options
-# The default (via buildflags.sh --cflags) is the system uname,
-# which describes a number of modern systems.  If this isn't suitable for your system,
-# or you want to customize it, then see README, sysdep.h, sysdep.doc.
-# buildflags also sets a few other cflags (optimization, warnings)
-
-SYSDEFS = `./buildflags.sh --cflags`
-
-# Other compiler flags, flags passed to compiling and linking steps
-# On most systems: -g for debugging, -O for optimization.
-# -Os produces smaller binaries with gcc, should not hurt performance
-OPTFLAGS = # -g -O -Wall -pedantic
+# The default is the system uname, which should work for many
+# popular modern systems like Linux, *BSD, OpenIndiana.
+# If sysdep.h does not define a block for your system, or uname produces
+# an illegal symbol on your platform (Cygwin, GNU Hurd), use jmake
+# or see README, sysdep.h, sysdep.doc.
+# XXX Among modern systems, FreeBSD does not put CPPFLAGS in the default
+# .c.o make build rules, so we put it in SYSDEFS, which we then add
+# to CFLAGS.  This means the contents of CPPFLAGS will likely 
+# appear twice in cc invocations on non-FreeBSD (i.e. OpenBSD, NetBSD, Linux)
+# so best to avoid setting it (the default value is empty anyway)
+SYSDEFS = -D`uname` -DJTC $(CPPFLAGS)
+
+# OPTFLAGS: compiler flags that are passed to both the compiling & linking steps
+# e.g. -g for debugging, -O for optimization.
+OPTFLAGS = -O
+
+# CFLAGS (i.e compile flags for the target compiler) are OPTFLAGS and SYSDEFS,
+# DO NOT OVERRIDE
+CFLAGS = $(OPTFLAGS) $(SYSDEFS)
 
 # For making dependencies under BSD systems
 DEPENDFLAG = -M
 # or, using the official Sun ANSI C compiler
 #	DEPENDFLAG = -xM
 
-# Flags for Library to provide termcap and pty functions.
+# Flags for Libraries to provide termcap and pty functions.
 # Some modern open-source systems have dropped termcap, or ship it
 # as part of the ncurses or tinfo packages.
 # For systems without dynamic libraries, termcap or terminfo are smaller,
@@ -128,33 +141,31 @@
 # which is almost certainly all that is necessary on modern machines.
 # To use it, define -DJTC and leave TERMCAPLIB unset
 
-TERMCAPLIB = `./buildflags.sh --libs`
-
-# Extra libraries flags needed by various systems.
-EXTRALIBS =
-
-# Flags of linker (LDFLAGS)
-# Most systems do not need any flags.
-LDFLAGS =
-
-CFLAGS = $(OPTFLAGS) $(SYSDEFS)
-
-# LDCC can be used for link-time tools instead of CC
+TERMCAPLIB = # for compatibility with old packagers, deprecated, use LDLIBS
+EXTRALIBS = -lutil # for compatibility with old packagers, deprecated, use LDLIBS
+LDLIBS = $(TERMCAPLIB) $(EXTRALIBS)
+
+# linker flags (LDFLAGS) not needed for most systems
+LDFLAGS = 
+
+# LDCC can be used for link-time alternatives to CC.  Also useful
+# for purify or similar link-time processing.
 LDCC = $(CC)
 
 # For cross compiling Jove, set CC to the cross compiler, and LOCALCC
 # to the local C compiler. LOCALCC will be used for compiling setmaps,
 # which is run as part of the compilation to generate the keymaps.
 # Set LOCALCFLAGS and LOCALLDFLAGS to anything extra (other than SYSDEFS,
-# which is set automatically), though no optimization or debug or special
+# which must be the same for local and cross, so that setmaps generates
+# the correct key bindings), though no optimization or debug or special
 # flags are usually needed (other than Xenix?!), since setmaps is 
 # run just once, so use whatever compiles fastest.
 
 LOCALCC = $(CC)
-LOCALCFLAGS =
+LOCALCFLAGS = # nothing really needed for setmaps
 LOCALLDFLAGS = $(LDFLAGS)
-LOCALEXTRALIBS = 
-LOCALEXT = 
+LOCALEXTRALIBS = # nothing really needed for setmaps
+LOCALEXT = # default is a Un*x-style machine, not Windows
 
 # Objects are grouped into overlays for the benefit of (at least) 2.xBSD.
 
@@ -241,7 +252,7 @@
 
 MISC =	Makefile Makefile.msc Makefile.wat \
 	README README.dos README.win ChangeLog LICENSE \
-	sysdep.doc tune.doc style.doc jspec.in buildflags.sh
+	sysdep.doc tune.doc style.doc jspec.in jmake.sh
 
 SUPPORT = teachjove.c recover.c setmaps.c portsrv.c keys.txt \
 	menumaps.txt mjovers.Hqx jjove.ico jjove.rc
@@ -253,10 +264,8 @@
 all:	jjove$(XEXT) recover$(XEXT) teachjove$(XEXT) portsrv$(XEXT) $(CDOC) $(GEN)
 
 jjove$(XEXT):	$(OBJECTS) $(EXTRAOBJS)
-	$(LDCC) $(LDFLAGS) $(OPTFLAGS) -o jjove$(XEXT) $(OBJECTS) $(EXTRAOBJS) $(EXTRALIBS) $(TERMCAPLIB)
+	$(LDCC) $(LDFLAGS) $(CFLAGS) -o jjove$(XEXT) $(OBJECTS) $(EXTRAOBJS) $(LDLIBS)
 	@-size jjove$(XEXT)
-	@-echo compiled with $(CC) $(CFLAGS)
-	@-echo linked $(XEXT) with $(LDCC) $(LDFLAGS) $(OPTFLAGS) $(EXTRAOBJS) $(EXTRALIBS) $(TERMCAPLIB)
 
 # For mingw icon
 jjove.coff: jjove.rc version.h
@@ -283,42 +292,21 @@
 PORTSRVINST=
 
 portsrv$(XEXT):	portsrv.o
-	$(LDCC) $(LDFLAGS) $(OPTFLAGS) -o portsrv$(XEXT) portsrv.o $(EXTRALIBS)
+	$(LDCC) $(LDFLAGS) $(CFLAGS) -o portsrv$(XEXT) portsrv.o $(LDLIBS)
 
 recover$(XEXT):	recover.o
-	$(LDCC) $(LDFLAGS) $(OPTFLAGS) -o recover$(XEXT) recover.o $(EXTRALIBS)
+	$(LDCC) $(LDFLAGS) $(CFLAGS) -o recover$(XEXT) recover.o $(LDLIBS)
 
 teachjove$(XEXT):	teachjove.o
-	$(LDCC) $(LDFLAGS) $(OPTFLAGS) -o teachjove$(XEXT) teachjove.o $(EXTRALIBS)
-
-# don't optimize setmaps.c because it produces bad code in some places
-# for some reason
-
+	$(LDCC) $(LDFLAGS) $(CFLAGS) -o teachjove$(XEXT) teachjove.o $(LDLIBS)
+
+# no need to optimize setmaps since it is run once during build, so faster
+# compile is better than faster executable (also urban legend that 
+# optimization produced bad code for setmaps!)
 setmaps$(LOCALEXT):	setmaps.o
-	$(LOCALCC) $(LOCALLDFLAGS) -o setmaps$(LOCALEXT) setmaps.o $(LOCALEXTRALIBS)
-
+	$(LOCALCC) $(LOCALLDFLAGS) $(LOCALCFLAGS)-o setmaps$(LOCALEXT) setmaps.o $(LOCALEXTRALIBS)
+
+# Critical that setmaps be compiled with same SYSDEFS
 setmaps.o:	setmaps.c
 	$(LOCALCC) $(LOCALCFLAGS) $(SYSDEFS) -c setmaps.c
 
-keys.c:	setmaps$(LOCALEXT) keys.txt
-	@-rm -f keys.c
-	./setmaps$(LOCALEXT) < keys.txt > keys.tmp && \
-	if ! $(CMP) -s keys.c keys.tmp 2> /dev/null; then mv keys.tmp keys.c; else rm keys.tmp; fi
-
-keys.o:	keys.c tune.h sysdep.h jove.h keymaps.h dataobj.h commands.h
-
-.ALWAYS:
-
-# BSD sed cannot handle \t, and having tabs in the whitespace feels fragile.
-.version: .ALWAYS
-	@-rm -f version.h.tmp
-	@sed -n 's/# *define  *jversion  *"\([0-9\\.]*\)".*/\1/p' version.h > .version.tmp; \
-	if ! $(CMP) -s .version.tmp .version 2> /dev/null; then mv .version.tmp .version; else rm .version.tmp; fi
-
-jove.spec: .version .ALWAYS
-	@-rm -f jspec.tmp
-	@v=`sed 's/_.*//' .version`; sed "s,__VERSION__,$$v,g" jspec.in > jspec.tmp; \
-	if ! $(CMP) -s jove.spec jspec.tmp 2> /dev/null; then mv jspec.tmp jove.spec; else rm jspec.tmp; fi
-
-paths.h: .ALWAYS
-	@-rm -f paths.tmp
