## jove 4.17.5.1

=== Makefile ===
--- 
+++ 
@@ -22,12 +22,19 @@
 # JMANDIR is where the manual pages go for JOVE, RECOVER and TEACHJOVE.
 # MANEXT is the extension for the man pages, e.g., jove.1 or jove.l or jove.m.
 #	Must not be "nr".
+# JTEACHBASE is the basename of the installed teach-jove tutorial file,
+# which will be teachjov.txt on MSFILESYSTEM (and the zip file),
+# but teach-jove on Unix/Linux installs.
 #
 # If they don't exist, this makefile will try to create all *DIR directories
-# (prefixed with $DESTDIR, as most packaging systems desire)
-# All others must already exist.
+# (prefixed with $DESTDIR, as most packaging systems desire; DESTDIR must
+# end with a slash) All others must already exist.
+#
+# Hack for relocatable installs: set JSHAREDIR and JLIBDIR and JBINDIR to relative 
+# paths, and set DESTDIR to an empty directory.
 
 JOVEHOME = /usr/local
+JREL =
 JSHAREDIR = $(JOVEHOME)/share/jove
 DSHAREDIR = $(DESTDIR)$(JSHAREDIR)
 JLIBDIR = $(JOVEHOME)/lib/jove
@@ -38,6 +45,7 @@
 JMANDIR = $(JOVEHOME)/man/man$(MANEXT)
 DMANDIR = $(DESTDIR)$(JMANDIR)
 MANEXT = 1
+JTEACHBASE = teach-jove
 
 # Install permission for SHAREDIR, LIBDIR, BINDIR
 DPERM = 755
@@ -64,7 +72,7 @@
 # place to copy source tarball for rpmbuild
 RPMHOME = $(HOME)/rpmbuild/SOURCES
 
-# DFLTSHELL is the default shell invoked by JOVE and TEACHJOVE.
+# DFLTSHELL is the default shell invoked by JOVE.
 DFLTSHELL = /bin/sh
 
 # The install commands of BSD and System V differ in unpleasant ways:
@@ -88,13 +96,12 @@
 # You will confuse JOVE if you move anything from LIBDIR or SHAREDIR.
 
 JOVE = $(DBINDIR)/jove$(XEXT)
-TEACHJOVE = $(DBINDIR)/teachjove$(XEXT)
+TEACHJOVE = $(DBINDIR)/teachjove
 RECOVER = $(DLIBDIR)/recover$(XEXT)
 PORTSRV = $(DLIBDIR)/portsrv$(XEXT)
 JOVERC = $(DSHAREDIR)/jove.rc
 TERMSDIR = $(DSHAREDIR)
-CMDSDOC = $(DSHAREDIR)/cmds.doc
-TEACHJOVEDOC = $(DSHAREDIR)/teach-jove
+CMDSDOC = $(DSHAREDIR)/cmds.txt
 JOVEM = $(DMANDIR)/jove.$(MANEXT)
 TEACHJOVEM = $(DMANDIR)/teachjove.$(MANEXT)
 XJOVEM = $(DMANDIR)/xjove.$(MANEXT)
@@ -110,7 +117,7 @@
 # popular modern systems like Linux, *BSD, OpenIndiana.
 # If sysdep.h does not define a block for your system, or uname produces
 # an illegal symbol on your platform (Cygwin, GNU Hurd), use jmake
-# or see README, sysdep.h, sysdep.doc.
+# or see README, sysdep.h, sysdep.txt.
 # XXX Among modern systems, FreeBSD does not put CPPFLAGS in the default
 # .c.o make build rules, so we put it in SYSDEFS, which we then add
 # to CFLAGS.  This means the contents of CPPFLAGS will likely 
@@ -183,7 +190,9 @@
 
 # win32.o when cross-compiling with mingw for Win32
 EXTRAOBJS =
-WINDRES = i686-w64-mingw32-windres
+# jjove.coff for cross-compiling with mingw for Win32
+ICON = 
+WINDRES = windres # probably needs i686-w64-mingw32- prefix or similar
 
 ZIP=zip
 ZIPEXT=zip
@@ -197,9 +206,10 @@
 #	NROFF = nroff
 #	TROFF = troff
 #	TROFFPOST = | /usr/lib/lp/postscript/dpost -
-NROFF = nroff -Tascii
+NROFF = nroff
 TROFF = troff
-TROFFPOST = 
+TROFFPOST = |grops
+TROFFPDF = |gropdf
 
 MANUALS = $(JOVEM) $(TEACHJOVEM)
 
@@ -210,7 +220,7 @@
 	util.c vars.c vars.tab wind.c msgetch.c mac.c keymaps.c ibmpcdos.c \
 	mouse.c win32.c
 
-SOURCES = $(C_SRC) portsrv.c recover.c setmaps.c teachjove.c
+SOURCES = $(C_SRC) portsrv.c recover.c setmaps.c
 
 HEADERS = abbrev.h argcount.h ask.h buf.h c.h case.h chars.h commands.h \
 	jctype.h dataobj.h delete.h disp.h extend.h externs.h \
@@ -229,42 +239,46 @@
 	doc/jove.rc.xterm-256color doc/keychart.xterm-256color \
 	doc/jove.rc.z29 doc/keychart.z29 \
 	doc/jove.rc.3022 doc/keychart.3022 \
-	doc/keychart. \
 	doc/XTermresource
 
-CDOC = doc/cmds.doc
+# XDOCS require no formatting
+XDOCS = doc/teach-jove doc/jove.qref
 
 # formatted docs, we ship these in the distrib to avoid groff dependency
 # and for non-Unix/Linux platforms.  NOTE: These will be removed by clobber.
-# Also note that jove.man and jove.man.ps require the ms macros
+# Also note that jove.man.* require the ms macros
 # (tmac.s or s.tmac) which many systems do not install with base groff.
-FDOCS = $(CDOC) doc/jove.man doc/jove.man.ps doc/jove.doc
+# Now prefer doc/jove.man.pdf to doc/jove.man.ps (more universal)
+FDOCS = doc/cmds.txt doc/jove.man.txt doc/jove.man.pdf
 
 # files we generate that we also ship in distrib for platforms sans sed
 # NOTE: these will be removed by clobber.
-GEN = 	jove.spec doc/jove.rc doc/jove.$(MANEXT) \
+GEN = 	doc/jove.rc doc/jove.$(MANEXT) \
 	doc/teachjove.$(MANEXT) doc/jovetool.$(MANEXT)
 
-DOCS =	doc/README doc/teach-jove doc/jove.qref \
-	doc/intro.nr doc/cmds.macros.nr doc/cmds.nr doc/contents.nr \
+DOSDOCS =  doc/README doc/teach-jove doc/jove.qref doc/example.rc doc/jem.txt \
+	doc/jove.txt
+
+DOCS =  doc/intro.nr doc/cmds.macros.nr doc/cmds.nr doc/contents.nr \
 	doc/jove.nr doc/teachjove.nr doc/xjove.nr doc/jovetool.nr \
-	doc/jove.rc.in doc/example.rc $(DOCTERMS) $(FDOCS) $(GEN)
+	doc/jove.rc.in $(DOSDOCS) $(DOCTERMS) $(FDOCS) $(GEN)
 
 MISC =	Makefile Makefile.msc Makefile.wat \
 	README README.dos README.win ChangeLog LICENSE \
-	sysdep.doc tune.doc style.doc jspec.in jmake.sh
-
-SUPPORT = teachjove.c recover.c setmaps.c portsrv.c keys.txt \
-	menumaps.txt mjovers.Hqx jjove.ico jjove.rc
+	sysdep.txt tune.txt style.txt jmake.sh \
+	testbuild.sh testmailer.sh
+
+SUPPORT = recover.c setmaps.c portsrv.c keys.txt \
+	menumaps.txt mjovers.Hqx jjove.ico jjove.rc teachjove
 
 BACKUPS = $(HEADERS) $(C_SRC) $(SUPPORT) $(MISC)
 
 # all: default target.
 # Builds everything that "install" needs.
-all:	jjove$(XEXT) recover$(XEXT) teachjove$(XEXT) portsrv$(XEXT) $(CDOC) $(GEN)
-
-jjove$(XEXT):	$(OBJECTS) $(EXTRAOBJS)
-	$(LDCC) $(LDFLAGS) $(CFLAGS) -o jjove$(XEXT) $(OBJECTS) $(EXTRAOBJS) $(LDLIBS)
+all:	jjove$(XEXT) recover$(XEXT) portsrv$(XEXT) $(FDOCS) $(GEN)
+
+jjove$(XEXT):	$(OBJECTS) $(EXTRAOBJS) $(ICON)
+	$(LDCC) $(LDFLAGS) $(CFLAGS) -o jjove$(XEXT) $(OBJECTS) $(EXTRAOBJS) $(ICON) $(LDLIBS)
 	@-size jjove$(XEXT)
 
 # For mingw icon
@@ -295,18 +309,3 @@
 	$(LDCC) $(LDFLAGS) $(CFLAGS) -o portsrv$(XEXT) portsrv.o $(LDLIBS)
 
 recover$(XEXT):	recover.o
-	$(LDCC) $(LDFLAGS) $(CFLAGS) -o recover$(XEXT) recover.o $(LDLIBS)
-
-teachjove$(XEXT):	teachjove.o
-	$(LDCC) $(LDFLAGS) $(CFLAGS) -o teachjove$(XEXT) teachjove.o $(LDLIBS)
-
-# no need to optimize setmaps since it is run once during build, so faster
-# compile is better than faster executable (also urban legend that 
-# optimization produced bad code for setmaps!)
-setmaps$(LOCALEXT):	setmaps.o
-	$(LOCALCC) $(LOCALLDFLAGS) $(LOCALCFLAGS)-o setmaps$(LOCALEXT) setmaps.o $(LOCALEXTRALIBS)
-
-# Critical that setmaps be compiled with same SYSDEFS
-setmaps.o:	setmaps.c
-	$(LOCALCC) $(LOCALCFLAGS) $(SYSDEFS) -c setmaps.c
-
