=== debian/changelog ===
jove (4.17.5.1-2) unstable; urgency=medium

  * removed duplicate documentation files

 -- Cord Beermann <cord@debian.org>  Sat, 25 Feb 2023 17:29:02 +0100

jove (4.17.5.1-1) unstable; urgency=medium

  * New upstream release.
    + jem (Jove Einsteiger Menu) is now part of upstream
    + Documentation has been updated
  * Added -lutil to LDLIBS
  * Updated pt_BR translation by Paulo Henrique de Lima Santana
    (closes: 1028007)
  * Bumped Policy (no changes)

 -- Cord Beermann <cord@debian.org>  Sat, 25 Feb 2023 10:54:51 +0100
