=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/buildtools.mk
 CPPFLAGS+=$(shell $(PKG_CONFIG) --cflags ncurses)
-LDLIBS+=$(shell $(PKG_CONFIG) --libs ncurses)
+LDLIBS+=$(shell $(PKG_CONFIG) --libs ncurses) -lutil
 
 CC_FOR_BUILD ?= cc
 
@@ -25,14 +25,24 @@
 		JOVEHOME=/usr \
 		JMANDIR=/usr/share/man/man1 \
 		LOCALCC=$(CC_FOR_BUILD) \
-		fdocs all
+		CC=$(CC) \
+		all
 
 override_dh_auto_install:
 	dh_auto_install -- \
+		SYSDEFS="-DLinux" \
+		OPTFLAGS="$(CFLAGS)" \
+		LDLIBS="$(LDLIBS)" \
+		LDFLAGS="$(LDFLAGS)" \
 		JOVEHOME=/usr \
-		JMANDIR=/usr/share/man/man1
-	cp debian/jem.rc debian/jem1.txt debian/jem1.hlp debian/jove/usr/share/jove
+		JMANDIR=/usr/share/man/man1 \
+		LOCALCC=$(CC_FOR_BUILD) \
+		CC=$(CC) \
+		install
 	cp debian/jove.rc debian/jove/etc/jove/jove.rc
+	rm debian/jove/usr/share/jove/jove.man.pdf \
+		debian/jove/usr/share/jove/jove.man.txt \
+		debian/jove/usr/share/jove/jove.qref
 
 override_dh_clean:
 	dh_clean
