## jove 4.17.5.3

=== Makefile ===
--- 
+++ 
@@ -31,10 +31,11 @@
 # end with a slash) All others must already exist.
 #
 # Hack for relocatable installs: set JSHAREDIR and JLIBDIR and JBINDIR to relative 
-# paths, and set DESTDIR to an empty directory.
+# paths, set JOVEHOME to an empty directory, and DESTDIR to the install
+# destination with a trailing slash (or to just /, and copy the jove and recover
+# binaries, and the doc subdirectory by hand)
 
 JOVEHOME = /usr/local
-JREL =
 JSHAREDIR = $(JOVEHOME)/share/jove
 DSHAREDIR = $(DESTDIR)$(JSHAREDIR)
 JLIBDIR = $(JOVEHOME)/lib/jove
@@ -46,10 +47,14 @@
 DMANDIR = $(DESTDIR)$(JMANDIR)
 MANEXT = 1
 JTEACHBASE = teach-jove
+TEACHDOC = $(DSHAREDIR)/$(JTEACHBASE)
+JDOCDIR = $(JOVEHOME)/share/doc/jove
+DDOCDIR = $(DESTDIR)$(JDOCDIR)
+REFDOC = $(DDOCDIR)/jove.qref
+EGRC = $(DDOCDIR)/example.rc
 
 # Install permission for SHAREDIR, LIBDIR, BINDIR
 DPERM = 755
-XPERM = 755
 
 # JTMPDIR is where the tmp files get stored, usually /tmp, /var/tmp, or
 # /usr/tmp.  If you wish to be able to recover buffers after a system
@@ -65,7 +70,6 @@
 JTMPDIR = /var/tmp
 JRECDIR = /var/lib/jove/preserve
 DRECDIR = $(DESTDIR)$(JRECDIR)
-
 # Install permission for DRECDIR
 RECPERM = 1777
 
@@ -199,18 +203,20 @@
 ZIPOPTS=-q -k	# common options for both binary and code files
 ZIPTXTOPT=-l -r	# options for recursively adding code files
 TAR=tar
-BACKUPDEV=/dev/rst8	# for tape-backup target!
 
 # These NROFF, TROFF and TROFFPOST settings work with groff.
 # Classic Unix and derivatives used to have ditroff, for which use:
 #	NROFF = nroff
 #	TROFF = troff
-#	TROFFPOST = | /usr/lib/lp/postscript/dpost -
+#	TDEV = ps or TDEV = psc
+#	TROFFPOST = |/usr/lib/lp/postscript/dpost -
+#	or TROFFPOST = |psc
 NROFF = nroff
 TROFF = troff
-TROFFPOST = |grops
-TROFFPDF = |gropdf
-
+TDEV = pdf
+TROFFPOST = |gro$(TDEV)
+
+# installed man pages
 MANUALS = $(JOVEM) $(TEACHJOVEM)
 
 C_SRC = commands.c commands.tab abbrev.c argcount.c ask.c buf.c c.c case.c jctype.c \
@@ -241,15 +247,13 @@
 	doc/jove.rc.3022 doc/keychart.3022 \
 	doc/XTermresource
 
-# XDOCS require no formatting
-XDOCS = doc/teach-jove doc/jove.qref
-
 # formatted docs, we ship these in the distrib to avoid groff dependency
 # and for non-Unix/Linux platforms.  NOTE: These will be removed by clobber.
 # Also note that jove.man.* require the ms macros
 # (tmac.s or s.tmac) which many systems do not install with base groff.
-# Now prefer doc/jove.man.pdf to doc/jove.man.ps (more universal)
-FDOCS = doc/cmds.txt doc/jove.man.txt doc/jove.man.pdf
+# By default, generate & install doc/jove.man.$(TDEV)
+FREFDOCS = doc/jove.man.txt doc/jove.man.$(TDEV)
+FDOCS = doc/cmds.txt $(FREFDOCS)
 
 # files we generate that we also ship in distrib for platforms sans sed
 # NOTE: these will be removed by clobber.
@@ -300,12 +304,3 @@
 
 # portsrv is only needed if IPROCS are implemented using PIPEPROCS
 # (modern systems use PTYPROCS).
-# Making PORTSRVINST null suppresses installing portsrv.
-
-# PORTSRVINST=$(PORTSRV)
-PORTSRVINST=
-
-portsrv$(XEXT):	portsrv.o
-	$(LDCC) $(LDFLAGS) $(CFLAGS) -o portsrv$(XEXT) portsrv.o $(LDLIBS)
-
-recover$(XEXT):	recover.o
