=== debian/changelog ===
jove (4.17.5.3-1) unstable; urgency=medium

  * New upstream release.
    + fixed documentation structure (removed workaround)

 -- Cord Beermann <cord@debian.org>  Wed, 22 Mar 2023 20:12:32 +0100
