=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Cord Beermann <cord@debian.org>
 Build-Depends: debhelper-compat (= 13), po-debconf, libncurses-dev, groff, pkgconf
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/jonmacs/jove
 Rules-Requires-Root: no
