=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/jove-$1\.tar\.gz/ \
  https://github.com/jonmacs/jove/tags .*/v?(\d\S+)\.tar\.gz debian uupdate
