## jove 4.17.5.4

=== Makefile ===
--- 
+++ 
@@ -96,6 +96,15 @@
 XINSTALL=install $(INSTALLFLAGS) -m 755
 TINSTALL=install $(INSTALLFLAGS) -m 444
 
+# old mkdir (4BSD and older Unix) did not have -p option, so will
+# need to set MKDIRP=mkdir and create top dirs by hand (or write a script
+# to emulate mkdir -p; 4BSD has basename but not dirname)
+MKDIRP=mkdir -p
+
+# WHICH shoiuld be a command that succeeds if the argument is found in the path
+# WHICH=which # for BSD
+WHICH=type # for sufficiently POSIX shells, not sure if Research Unix has this
+
 # These should all just be right if the above ones are.
 # You will confuse JOVE if you move anything from LIBDIR or SHAREDIR.
 
@@ -289,18 +298,3 @@
 jjove.coff: jjove.rc version.h
 	$(WINDRES) -r jjove.rc -fo jjove.coff
 
-# For 2.xBSD: link jove as a set of overlays.  Not tested recently.
-
-ovjove:	$(OBJECTS)
-	ld $(LDFLAGS) $(OPTFLAGS) -X /lib/crt0.o \
-		-Z $(OVLAY1) \
-		-Z $(OVLAY2) \
-		-Z $(OVLAY3) \
-		-Z $(OVLAY4) \
-		-Z $(OVLAY5) \
-		-Y $(BASESEG) \
-		-o jjove$(XEXT) $(EXTRALIBS) $(TERMCAPLIB) -lc
-	@-size jjove$(XEXT)
-
-# portsrv is only needed if IPROCS are implemented using PIPEPROCS
-# (modern systems use PTYPROCS).
