=== debian/changelog ===
jove (4.17.5.4-1) unstable; urgency=medium

  * New upstream release from git.
  * Update sv.po (closes: #1056663)
  * Update pt_BR.po (closes: #1098749)
  * Bump Policy (no changes)

 -- Cord Beermann <cord@debian.org>  Sat, 22 Mar 2025 15:40:44 +0100
