=== debian/rules ===
--- 
+++ 
@@ -40,9 +40,9 @@
 		CC=$(CC) \
 		install
 	cp debian/jove.rc debian/jove/etc/jove/jove.rc
-	rm debian/jove/usr/share/jove/jove.man.pdf \
-		debian/jove/usr/share/jove/jove.man.txt \
-		debian/jove/usr/share/jove/jove.qref
+#	rm debian/jove/usr/share/jove/jove.man.pdf \
+#		debian/jove/usr/share/jove/jove.man.txt \
+#		debian/jove/usr/share/jove/jove.qref
 
 override_dh_clean:
 	dh_clean
