## jove 4.17.5.5

=== debian/changelog ===
jove (4.17.5.5-2) unstable; urgency=medium

  * Rebuild for gcc-15 (closes: #1096875)
  * README is now installed with upstream-build

 -- Cord Beermann <cord@debian.org>  Thu, 11 Sep 2025 21:41:27 +0200

jove (4.17.5.5-1) unstable; urgency=medium

  * New upstream release.
  * Really update pt_BR.po

 -- Cord Beermann <cord@debian.org>  Sun, 18 May 2025 10:53:23 +0200
