=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 include /usr/share/dpkg/buildtools.mk
 CPPFLAGS+=$(shell $(PKG_CONFIG) --cflags ncurses)
 LDLIBS+=$(shell $(PKG_CONFIG) --libs ncurses) -lutil
+
+# make it work on gcc-15
+CFLAGS+=--std=c89
 
 CC_FOR_BUILD ?= cc
