=== debian/watch ===
Version: 5

# official releases
Template: Github
Owner: jonmacs
Project: jove
Matching-Pattern: .*/v?(\d\S+)\.tar\.gz
Filenamemangle: s/.+\/v?(\d\S+)\.tar\.gz/jove-$1\.tar\.gz/
Update-Script: uupdate

# inoffical updates
#Source: https://github.com/jonmacs/jove.git
#Matching-Pattern: HEAD
#Mode: git
#Pgpmode: none
#Pretty: describe
## Filename-Mangle: s/^(@PACKAGE@-)v/$1/
#Repack: yes
#Update-Script: uupdate

#version=4

#opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/jove-$1\.tar\.gz/ \
#  https://github.com/jonmacs/jove/tags .*/v?(\d\S+)\.tar\.gz debian uupdate
